net.sourceforge.pmd.dcd.graph

## Class UsageGraphBuilder.MyMethodVisitor

- java.lang.Object
- - net.sourceforge.pmd.dcd.asm.PrintVisitor
  - - net.sourceforge.pmd.dcd.graph.UsageGraphBuilder.MyMethodVisitor

All Implemented Interfaces:
  org.objectweb.asm.MethodVisitor

Enclosing class:
  UsageGraphBuilder

    protected class UsageGraphBuilder.MyMethodVisitor
    extends PrintVisitor
    implements org.objectweb.asm.MethodVisitor

### Constructor Summary

Constructors
Constructor and Description
`UsageGraphBuilder.MyMethodVisitor(PrintVisitor parent, MemberNode usingMemberNode)`

### Method Summary

Methods
`org.objectweb.asm.AnnotationVisitor` `visitAnnotation(String desc, boolean visible)`
`org.objectweb.asm.AnnotationVisitor` `visitAnnotationDefault()`
`void` `visitAttribute(org.objectweb.asm.Attribute attr)`
`void` `visitCode()`
`void` `visitEnd()`
`void` `visitFieldInsn(int opcode, String owner, String name, String desc)`
`void` `visitFrame(int type, int local, Object[] local2, int stack, Object[] stack2)`
`void` `visitIincInsn(int var, int increment)`
`void` `visitInsn(int opcode)`
`void` `visitIntInsn(int opcode, int operand)`
`void` `visitJumpInsn(int opcode, org.objectweb.asm.Label label)`
`void` `visitLabel(org.objectweb.asm.Label label)`
`void` `visitLdcInsn(Object cst)`
`void` `visitLineNumber(int line, org.objectweb.asm.Label start)`
`void` `visitLocalVariable(String name, String desc, String signature, org.objectweb.asm.Label start, org.objectweb.asm.Label end, int index)`
`void` `visitLookupSwitchInsn(org.objectweb.asm.Label dflt, int[] keys, org.objectweb.asm.Label[] labels)`
`void` `visitMaxs(int maxStack, int maxLocals)`
`void` `visitMethodInsn(int opcode, String owner, String name, String desc)`
`void` `visitMultiANewArrayInsn(String desc, int dims)`
`org.objectweb.asm.AnnotationVisitor` `visitParameterAnnotation(int parameter, String desc, boolean visible)`
`void` `visitTableSwitchInsn(int min, int max, org.objectweb.asm.Label dflt, org.objectweb.asm.Label[] labels)`
`void` `visitTryCatchBlock(org.objectweb.asm.Label start, org.objectweb.asm.Label end, org.objectweb.asm.Label handler, String type)`
`void` `visitTypeInsn(int opcode, String desc)`
`void` `visitVarInsn(int opcode, int var)`

### Methods inherited from class net.sourceforge.pmd.dcd.asm.PrintVisitor

`println, printlnIndent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UsageGraphBuilder.MyMethodVisitor

    public UsageGraphBuilder.MyMethodVisitor(PrintVisitor parent,
                                     MemberNode usingMemberNode)

### Method Detail

#### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(String desc,
                                                      boolean visible)

Specified by:
  `visitAnnotation` in interface `org.objectweb.asm.MethodVisitor`

#### visitAnnotationDefault

    public org.objectweb.asm.AnnotationVisitor visitAnnotationDefault()

Specified by:
  `visitAnnotationDefault` in interface `org.objectweb.asm.MethodVisitor`

#### visitAttribute

    public void visitAttribute(org.objectweb.asm.Attribute attr)

Specified by:
  `visitAttribute` in interface `org.objectweb.asm.MethodVisitor`

#### visitCode

    public void visitCode()

Specified by:
  `visitCode` in interface `org.objectweb.asm.MethodVisitor`

#### visitEnd

    public void visitEnd()

Specified by:
  `visitEnd` in interface `org.objectweb.asm.MethodVisitor`

#### visitFieldInsn

    public void visitFieldInsn(int opcode,
                      String owner,
                      String name,
                      String desc)

Specified by:
  `visitFieldInsn` in interface `org.objectweb.asm.MethodVisitor`

#### visitFrame

    public void visitFrame(int type,
                  int local,
                  Object[] local2,
                  int stack,
                  Object[] stack2)

Specified by:
  `visitFrame` in interface `org.objectweb.asm.MethodVisitor`

#### visitIincInsn

    public void visitIincInsn(int var,
                     int increment)

Specified by:
  `visitIincInsn` in interface `org.objectweb.asm.MethodVisitor`

#### visitInsn

    public void visitInsn(int opcode)

Specified by:
  `visitInsn` in interface `org.objectweb.asm.MethodVisitor`

#### visitIntInsn

    public void visitIntInsn(int opcode,
                    int operand)

Specified by:
  `visitIntInsn` in interface `org.objectweb.asm.MethodVisitor`

#### visitJumpInsn

    public void visitJumpInsn(int opcode,
                     org.objectweb.asm.Label label)

Specified by:
  `visitJumpInsn` in interface `org.objectweb.asm.MethodVisitor`

#### visitLabel

    public void visitLabel(org.objectweb.asm.Label label)

Specified by:
  `visitLabel` in interface `org.objectweb.asm.MethodVisitor`

#### visitLdcInsn

    public void visitLdcInsn(Object cst)

Specified by:
  `visitLdcInsn` in interface `org.objectweb.asm.MethodVisitor`

#### visitLineNumber

    public void visitLineNumber(int line,
                       org.objectweb.asm.Label start)

Specified by:
  `visitLineNumber` in interface `org.objectweb.asm.MethodVisitor`

#### visitLocalVariable

    public void visitLocalVariable(String name,
                          String desc,
                          String signature,
                          org.objectweb.asm.Label start,
                          org.objectweb.asm.Label end,
                          int index)

Specified by:
  `visitLocalVariable` in interface `org.objectweb.asm.MethodVisitor`

#### visitLookupSwitchInsn

    public void visitLookupSwitchInsn(org.objectweb.asm.Label dflt,
                             int[] keys,
                             org.objectweb.asm.Label[] labels)

Specified by:
  `visitLookupSwitchInsn` in interface `org.objectweb.asm.MethodVisitor`

#### visitMaxs

    public void visitMaxs(int maxStack,
                 int maxLocals)

Specified by:
  `visitMaxs` in interface `org.objectweb.asm.MethodVisitor`

#### visitMethodInsn

    public void visitMethodInsn(int opcode,
                       String owner,
                       String name,
                       String desc)

Specified by:
  `visitMethodInsn` in interface `org.objectweb.asm.MethodVisitor`

#### visitMultiANewArrayInsn

    public void visitMultiANewArrayInsn(String desc,
                               int dims)

Specified by:
  `visitMultiANewArrayInsn` in interface `org.objectweb.asm.MethodVisitor`

#### visitParameterAnnotation

    public org.objectweb.asm.AnnotationVisitor visitParameterAnnotation(int parameter,
                                                               String desc,
                                                               boolean visible)

Specified by:
  `visitParameterAnnotation` in interface `org.objectweb.asm.MethodVisitor`

#### visitTableSwitchInsn

    public void visitTableSwitchInsn(int min,
                            int max,
                            org.objectweb.asm.Label dflt,
                            org.objectweb.asm.Label[] labels)

Specified by:
  `visitTableSwitchInsn` in interface `org.objectweb.asm.MethodVisitor`

#### visitTryCatchBlock

    public void visitTryCatchBlock(org.objectweb.asm.Label start,
                          org.objectweb.asm.Label end,
                          org.objectweb.asm.Label handler,
                          String type)

Specified by:
  `visitTryCatchBlock` in interface `org.objectweb.asm.MethodVisitor`

#### visitTypeInsn

    public void visitTypeInsn(int opcode,
                     String desc)

Specified by:
  `visitTypeInsn` in interface `org.objectweb.asm.MethodVisitor`

#### visitVarInsn

    public void visitVarInsn(int opcode,
                    int var)

Specified by:
  `visitVarInsn` in interface `org.objectweb.asm.MethodVisitor`